<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Entity;

class PagSeguroLinkViewModel extends Entity {
	protected $rel;
	protected $href;
	protected $media;
	protected $type;

	public static function builder(): PagSeguroLinkViewModelBuilder {

		return new PagSeguroLinkViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRel() {

		return $this->rel;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHref() {

		return $this->href;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getMedia() {

		return $this->media;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getType() {

		return $this->type;

	}

	/**
	 *
	 * @param mixed $rel
	 */
	public function setRel($rel) {

		$this->rel = $rel;

	}

	/**
	 *
	 * @param mixed $href
	 */
	public function setHref($href) {

		$this->href = $href;

	}

	/**
	 *
	 * @param mixed $media
	 */
	public function setMedia($media) {

		$this->media = $media;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type) {

		$this->type = $type;

	}

}

